XF 2.0 Manual Merge Problem for Outdated Templates While Upgrading

mkucuksari

Active member
#1
As a new Xenforo user, this is my second upgrade. At first one (from 2.0.2 to 2.0.4) I did not face any problem.

But during my last upgrade (from 2.0.4 to 2.0.5) I get the following error message at "forum_post_thread" template for both default and custom style.

Oops! We ran into some problems.
The custom template is out of date but has been edited more recently than the parent. Merging can only be done by hand.


2_Merge Sorunlu Templates_Ingilizce.jpg

I have added some extra custom codes at this template while I was using 2.0.2 version. I wonder why I can not merge it ?

During the upgrade there were some other templates that I also modified like, "Page_container". But for it manual merge function did work without any problem.

For fixing that problem at "forum_post_thread" template, I had to change something in the template (and then change it back) to make it disappear from the list of outdated templates. Is it correct action ? What is your suggestion for hand merging?

Thanks for your valuable answers
 

mkucuksari

Active member
#3
You will need to make a note of the changes you have made to the templates, revert them, than add the changes back.
Thanks for your reply. I will do as you explain. But could you please tell me why or how does it happen ? As I said there were two more templates that I have added some codes, but these template were merged manually.
 
#4
Thanks for your reply. I will do as you explain. But could you please tell me why or how does it happen ? As I said there were two more templates that I have added some codes, but these template were merged manually.
you to find a solution? I have the same problem but my file and identical to the theme by default I not these changes bring
 
Top